﻿@model TouristPlace.Models.Place

@{
    ViewData["Title"] = "Edit";
}

<h1>Edit</h1>

<h4>Place</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit" method="post" enctype="multipart/form-data">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="Id" />
            <div class="form-group">
                <label asp-for="Name" class="control-label"></label>
                <input asp-for="Name" class="form-control" />
                <span asp-validation-for="Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Address" class="control-label"></label>
                <input asp-for="Address" class="form-control" />
                <span asp-validation-for="Address" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Rating" class="control-label"></label>
                <input asp-for="Rating" class="form-control" />
                <span asp-validation-for="Rating" class="text-danger"></span>
            </div>

            <img src="~/images/@Model.Picture" alt="not found" height=100 width=100 style="padding: 5px" />
            <div class="form-group">

                <label asp-for="Picture" class="control-label"></label>
                <input asp-for="Picture" class="form-control" type="file" />
                <span asp-validation-for="Picture" class="text-danger"></span>
                <span style="color:red">@ViewData["imageMessage"]</span>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}